Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455061 - bind.spec uses Patch0: but %patch -p1 - inconsistent behaviour
Summary: bind.spec uses Patch0: but %patch -p1 - inconsistent behaviour
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 19:01 UTC by Robert Scheck
Modified: 2013-04-30 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-14 08:32:37 UTC


Attachments (Terms of Use)

Description Robert Scheck 2008-07-11 19:01:33 UTC
Description of problem:
bind.spec uses Patch0: but %patch -p1 - future rpm versions (rpm.org versions) 
will complain about this. Please use either "Patch0:" and "%patch0 -p1" OR use
"Patch:" and "%patch -p1". Just consistent behaviour, not more - thank you.

Version-Release number of selected component (if applicable):
bind-9.5.1-0.1.b1

How reproducible:
Everytime and always, see above.

Actual results:
bind.spec uses Patch0: but %patch -p1 - inconsistent behaviour.

Expected results:
Please use either "Patch0:" and "%patch0 -p1" OR use "Patch:" and "%patch
-p1". Just consistent behaviour.

Comment 1 Robert Scheck 2008-07-11 19:03:45 UTC
--- bind.spec       2008-07-11 20:51:16.000000000 +0200
+++ bind.spec.rsc   2008-07-11 20:59:18.000000000 +0200
@@ -177,7 +177,7 @@
 %setup -q -n %{name}-%{version}%{PREVER}

 # Common patches
-%patch -p1 -b .varrun
+%patch0 -p1 -b .varrun
 %patch1 -p1 -b .key
 %patch5 -p1 -b .nonexec
 %patch10 -p1 -b .PIE

Comment 2 Adam Tkac 2008-07-14 08:32:37 UTC
Fixed in CVS, will be included in next build. Thanks for report


Note You need to log in before you can comment on or make changes to this bug.